Skip to content

Notifications ​

GET /api/notification-channels ​

Your delivery channels

  • Access: Signed-in user (browser session)

POST /api/notification-channels ​

Add a channel (webhook, discord, slack, email)

  • Access: Signed-in user (browser session)
  • Body: name, kind, url? | to?, events[], serverIds?, style? (discord)

PATCH /api/notification-channels/{id} ​

Edit a channel

  • Access: Signed-in user (browser session)
  • Path parameters: id

DELETE /api/notification-channels/{id} ​

Remove a channel

  • Access: Signed-in user (browser session)
  • Path parameters: id

POST /api/notification-channels/{id}/test ​

Send a test message

  • Access: Signed-in user (browser session)
  • Path parameters: id

GET /api/notification-events ​

Events you can subscribe to

  • Access: Signed-in user (browser session)

GET /api/notification-styles ​

Message styles a Discord channel can use (plain text and any provided by a plugin)

  • Access: Signed-in user (browser session)

GET /api/notifications ​

Your inbox

  • Access: Signed-in user (browser session)

POST /api/notifications/read ​

Mark as read

  • Access: Signed-in user (browser session)

GET /api/notifications/summary ​

Unread count

  • Access: Signed-in user (browser session)

Released under the AGPL-3.0-only license.